Any firmware updates for Armor G5

Options
245

All Replies

  • Ghost777
    Options
    SMBv1 was deprecated in 2013. There are a handful of vulnerabilities that exist within SMBv1, most of which allow for remote code execution on the target host. Therefore, my devices use the SMBv2 and SMBv3 protocols and dlna server of Zyxel does not work in my network.
  • Zyxel_Jerry
    Zyxel_Jerry Posts: 1,146  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Hi @Ghost777,

    Thanks for your feedback, we will further evaluation on the SMB version upgrade.
    About the DLNA issue, where is your DLNA server located in your environment?
    Could you share your topology with us?
  • Ghost777
    Options
    In my home network, all devices connected to my router, dlna service located on router
  • mMontana
    mMontana Posts: 1,338  Guru Member
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Thanks for your feedback, we will further evaluation on the SMB version upgrade.


    So... any announcement soon on WHEN the SMB will be upgraded? Or no announcement, so people cannot decide if keep the device or not?
  • Zyxel_Jerry
    Zyxel_Jerry Posts: 1,146  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Hi @mMontana

    Thanks for your suggestion.
    We've started evaluating the possibility of the feature.
  • Asgatlat
    Asgatlat Posts: 82  Ally Member
    First Anniversary 10 Comments Friend Collector
    Options
    hi @Zyxel_Jerry
    any news for FW update for G1 and G5 ? (and not only for FragAttack, but for update dnsmasq and other opensource package)
    i hope to use my G1 again (still in the box since almost a year because of poor performance) 
  • Zyxel_Jerry
    Zyxel_Jerry Posts: 1,146  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Hi @Asgatlat

    There is a firmware release recently which fix the vulnerability issue.
    For the opensource package, may I know which opensource package would you like to have updated?
  • Asgatlat
    Asgatlat Posts: 82  Ally Member
    First Anniversary 10 Comments Friend Collector
    Options
    Hi @Asgatlat

    There is a firmware release recently which fix the vulnerability issue.
    For the opensource package, may I know which opensource package would you like to have updated?
    Hi @Zyxel_Jerry
    Seriously....
    https://community.zyxel.com/en/discussion/10690/nbg6818-where-to-find-foss-details-with-version-used
    Most important is Dnsmasq
    And if I check support website it is still V1.00(ABSC.4)C0 for the G1, so no New update...
    https://www.zyxel.com/support/DownloadLandingSR.shtml?c=gb&l=en&kbid=M-03285&md=Armor G1 (NBG6818)#searchZyxelTab4

  • Zyxel_Jerry
    Zyxel_Jerry Posts: 1,146  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Hi @Asgatlat

    On the device web gui, you can click check firmware and update to the latest firmware.
    The release note will be updated in these days.
  • CoenB
    CoenB Posts: 10
    First Anniversary Friend Collector First Comment
    Options
    NBG6818 (armor g1) firmware "v1.00(ABSC.5)C0" installed.
    enabling remote assistant (wan+lan, port 443) does not seem to work (goes automatically to 'disabled' again)

Consumer Product Help Center